- Home
- API Enriched
- Tenant And Identity
- web
- Unset admin ntfn preference.
Unset admin ntfn preference.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/system/user/admin_notifications/unset';const options = { method: 'PUT', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"ntfn_to_unset":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/system/user/admin_notifications/unset \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "ntfn_to_unset": "example" }'Unset admin ntfn preference unsets specific admin notification preference for the user and store it in user settings object. It can be used in email newsletters to allow easy unsubscribing for users.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Notification to unset.
object
Ntfn to unset contains notification which should be unset for particular user.
Examplegenerated
{ "ntfn_to_unset": "example"}Responses
Section titled “Responses”A successful response.
Empty object definition.
object
Examplegenerated
{}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example